# Interface TaskLocalState

@Incubating public interface TaskLocalState
Represents the files or directories that represent the local state of a `Task`. The typical usage for local state is to store non-relocatable incremental analysis between builds. Local state is removed whenever the task is loaded from cache.

Since:
  4.3

## Method Summary

Modifier and Type
Method
Description
`void`
`register(Object... paths)`
Registers files and directories as local state of this task.

## Method Details

### register

void register(Object... paths)
Registers files and directories as local state of this task.

Parameters:
  `paths` - The files that represent the local state. The given paths are evaluated as per `Project.files(Object...)`.